import { HttpClient } from "./lib/http/http-client";
import { BackendProxy } from "./lib/http/backend-proxy";
import { CreateBuildSessionIdRequest, CreateBuildSessionIdResponse, GetBuildSessionIdResponse } from "./lib/http/contracts";
declare namespace SlJsInfra {
    interface SlJsInfraStatic {
        HttpClient: typeof HttpClient;
        BackendProxy: typeof BackendProxy;
        CreateBuildSessionIdRequest: CreateBuildSessionIdRequest;
        CreateBuildSessionIdResponse: typeof CreateBuildSessionIdResponse;
        GetBuildSessionIdResponse: typeof GetBuildSessionIdResponse;
    }
}
declare const SlJsInfra: SlJsInfra.SlJsInfraStatic;
export = SlJsInfra;
